Create Customer
https://bank.dattaremit.com/api/customersRequires a bank-scoped key.
Creates a customer.
## Customer Type
Customer resources are an abstraction for real world individuals and businesses on the Cybrid Platform and are used throughout the platform to perform high level operations, e.g., create a quote, execute a trade, etc..
Customers can have additional resources attached to them, e.g., identity verifications, accounts, etc.
## State
| State | Description |
|---|---|
| storing | The Platform is storing the customer details in our private store |
| unverified | The Platform has not yet verified the customer's identity |
| verified | The Platform has verified the customer's identity |
| rejected | The Platform was not able to successfully verify the customer's identity |
| frozen | The customer has been frozen on the Platform |
Required scope: customers:execute
Body Params
requiredtypebusiness | individualrequiredThe type of customer.
addressobjectThe customer's address.
streetstringrequiredThe first line of the address.
street2stringThe optional second line of the address.
citystringrequiredThe city of the address.
subdivisionstringThe ISO 3166-2 subdivision code of the address. Applicable only for countries that use subnational states, provinces, lands, oblasts or regions.
postal_codestringThe postal, zip or post code of the address. Applicable only for countries that use postal, zip or post codes.
country_codestringrequiredThe ISO 3166 country 2-Alpha country code of the address.
phone_numberstringThe customer's phone number.
email_addressstringThe customer's email address.
identification_numbersobject[]The customer's identification numbers.
nameobjectThe customer's name. Optional when type is individual or type is business.
firststringThe customer's first name. Required when type is individual.
middlestringThe customer's middle name. Optional when type is individual.
laststringThe customer's last name. Required when type is individual.
fullstringThe customer's full name. Required when type is business.
date_of_birthstring<date>The customer's date of birth. Optional when type is individual.
aliasesobject[]The aliases of the customer. Optional when type is business.
websitestringThe customer's website. Optional when type is business.
labelsstring[]The labels associated with the customer.
Responses
201customer created
401Unauthorized
403Forbidden
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/customers \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "business",
"address": {
"street": "string",
"city": "string",
"country_code": "string",
"street2": "string",
"subdivision": "string",
"postal_code": "string"
},
"phone_number": "string",
"email_address": "string",
"identification_numbers": [
{
"type": "drivers_license",
"issuing_country_code": "string",
"identification_number": "string",
"issuing_subdivision": "string"
}
],
"name": {
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
},
"date_of_birth": "1990-04-12",
"aliases": [
{
"full": "string"
}
],
"website": "string",
"labels": [
"string"
]
}'Response
customer created
{
"guid": "string",
"bank_guid": "string",
"type": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"name": {
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
},
"address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"aliases": [
{
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
}
],
"website": "string",
"date_of_birth": "1990-04-12",
"phone_number": "string",
"email_address": "string",
"labels": [
"string"
],
"compliance_decisions": [
{
"type": "string",
"state": "string",
"failure_codes": [
"string"
],
"expired_at": "2026-07-20T16:27:51.438Z"
}
],
"identification_numbers": [
{
"type": "string",
"issuing_country_code": "string",
"identification_number": "string",
"issuing_subdivision": "string"
}
],
"activity_limits": [
{
"type": "string",
"name": "string",
"asset": "string",
"amount": 1,
"interval": 1,
"activities": [
"string"
],
"sides": [
"string"
]
}
]
}